
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Java 7程序设计入门经典》一2.8　关系运算符和逻辑运算符 / iVAN</title>

    <meta name="description" content="《Java 7程序设计入门经典》一2.8　关系运算符和逻辑运算符 2.8 关系运算符和逻辑运算符 在术语&quot;关系运算符&quot;(relational operator)和&quot;逻辑运算符&quot;(logical operator)中,&quot;关系&quot;(relational)指的是值之间的关系,&quot;逻辑&quot;(logical)指的是真值与假值之间的关系.由于关系运算符的结果是真值或假值,因此关系运算符常常和逻辑运算符结合使用.所以此处一并讨论它们. 第1章介绍了关系运算符.为了方便,将关系运算符列举如下: 逻辑运算 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Java 7程序设计入门经典》一2.8　关系运算符和逻辑运算符</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.8　关系运算符和逻辑运算符</h3>
<p>在术语“关系运算符”（relational operator）和“逻辑运算符”（logical operator）中，“关系”（relational）指的是值之间的关系，“逻辑”（logical）指的是真值与假值之间的关系。由于关系运算符的结果是真值或假值，因此关系运算符常常和逻辑运算符结合使用。所以此处一并讨论它们。<br />
第1章介绍了关系运算符。为了方便，将关系运算符列举如下：<br /><a href="https://yqfile.alicdn.com/38e2d2bba5bb19d7a8a6330b11c3b8f316b72d95.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM4ZTJkMmJiYTViYjE5ZDdhOGE2MzMwYjExYzNiOGYzMTZiNzJkOTUucG5n.jpg"></a></p>
<p>逻辑运算符如下：<br /><a href="https://yqfile.alicdn.com/8531aeba865e217141667a43e12758fccb61e9b2.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzg1MzFhZWJhODY1ZTIxNzE0MTY2N2E0M2UxMjc1OGZjY2I2MWU5YjIucG5n.jpg"></a></p>
<p>关系运算符和逻辑运算符的运算结果是boolean类型的值。<br />
在Java中，可以用==运算符或!=运算符比较任意两个对象是否相等。但是，比较运算符&lt;、&gt;、&lt;=和&gt;=只能用于有顺序关系的类型的比较。所以，所有的关系运算符可以用于数值型和char类型。但是，由于true和false没有顺序，因此boolean类型只能用于比较是否相等。例如，在Java中表达式true&gt;false是没有意义的。<br />
逻辑运算符的操作数必须是boolean类型的，结果也是boolean类型的。逻辑运算符&amp;、|、^和!支持基本的逻辑运算AND、OR、XOR和NOT。运算规则参见真值表。<br /><a href="https://yqfile.alicdn.com/d1d8b642d77b0e51a42086bdecff5f9034e9d0b1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2QxZDhiNjQyZDc3YjBlNTFhNDIwODZiZGVjZmY1ZjkwMzRlOWQwYjEucG5n.jpg"></a></p>
<p>正如真值表所示，当前仅当有一个操作数为真时，异或操作的结果为真。<br />
下面的程序说明了一些关系运算符和逻辑运算符的使用方法：<br /><a href="https://yqfile.alicdn.com/8ef840deb82a9db32adc3137f135c29bc42faf05.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzhlZjg0MGRlYjgyYTlkYjMyYWRjMzEzN2YxMzVjMjliYzQyZmFmMDUucG5n.jpg"></a></p>
<p>程序输出如下所示：<br /><a href="https://yqfile.alicdn.com/eb59ba4b09e6a6e78aa809788af5e5e42a7214f3.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ViNTliYTRiMDllNmE2ZTc4YWE4MDk3ODhhZjVlNWU0MmE3MjE0ZjMucG5n.jpg"></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 05:18:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/image/" title="image">image</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Java 7程序设计入门经典》一2.8　关系运算符和逻辑运算符的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGN7Ap.html" rel="bookmark">《Java 7程序设计入门经典》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 本书通过Java语言来讲解编程的基础知识.该书假设读者之前没有任何编程经验.本书首先介绍最基本的知识,例如,如何编译和运行Java程序:接着,讨论关键字.运算符和一些形成Java语言的构造.本书还会涉及Java的应用编程接口(Application Programming Interface,API)库.其中,包括Swing框架,它可以用来创建具有图形用户界面(Graphical User Interface,GUI)的程序.还包括集合框架,它可以用来存储对象集合.简而言之,本书旨在对J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRRvOp.html" rel="bookmark">《Java 7程序设计入门经典》一2&period;6　运算符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 运算符 Java提供丰富的运算符环境.运算符(operator)是告诉编译器执行特定的算术.逻辑和其他操作的符号.Java有四大类运算符:算术运算符.按位运算符.关系运算符和逻辑运算符.Java也定义许多另外的运算符来处理特殊情况.本章将讲解算术运算符.关系运算符和逻辑运算符,还会讲解赋值运算符.按位运算符和其他运算符在以后讲解.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnZ6XM.html" rel="bookmark">《Java 7程序设计入门经典》一第2章　数据类型和运算符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 数据类型和运算符 本章要点 了解Java的基本数据类型: 使用字面量: 初始化变量: 了解方法中变量作用域的规则: 使用算术运算符: 使用关系运算符和逻辑运算符: 理解赋值运算符: 理解速记赋值: 理解赋值语句中的类型转换: 使用强制类型转换: 理解表达式中的类型转换. 对任意一种编程语言而言,其基础都是数据类型和运算符.Java也不例外.这些元素定义语言的限制,决定它能够用于哪些类型的任务.幸运的是,Java支持一系列丰富的数据类型和运算符,使其适合于几乎所有类型的编程. 数据类型和运			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7Gvgp.html" rel="bookmark">《Java 7程序设计入门经典》一2&period;2　Java的基本数据类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 Java的基本数据类型 Java包括两大类内置的数据类型:面向对象的数据类型和非面向对象的数据类型.Java中面向对象的数据类型由类定义,在后面会有类的介绍.但是,Java的核心是8种基本数据类型(也称元素数据类型或简单数据类型),如表2-1所示.这里使用&quot;基本&quot;(primitive)这个词来表示,从面向对象的角度看,这些类型不是对象,而是普通的二进制值.出于有效性,这些基本数据类型不是对象. Java为每个基本数据类型严格指定范围和行为.所有Java虚拟机都必须支持这些.因为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNoAkM.html" rel="bookmark">《Java 7程序设计入门经典》一1&period;11　两种控制语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.11 两种控制语句 在方法内部,语句的执行是按语句出现的顺序执行.换句话说,执行从一条语句到另一条语句,自上而下顺序执行.但是,也可以根据一些条件改变流程.这样的情况在编程界非常常见.下面是一个例子.一个网站也许会需要输入一个密码.代码必须保证在密码无效时拒绝访问.于是,如果输入了无效的密码,则不能执行那些需要访问权限的代码.还是这个例子,在输入无效的密码时,可能会给用户两次或更多次正确输入密码的机会.为了解决这种情形,需要改变程序的执行流.Java提供了一种丰富的控制语句(control			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJq5Bvp.html" rel="bookmark">《Java 7程序设计入门经典》一1&period;4　Java语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 Java语言 本书使用Java语言来讲解编程的基础知识.虽然其他编程语言也可以用来达到此目的,但是由于以下两个原因,本书选择了Java:首先,它是世界上使用最广泛的计算机语言之一.所以从实际的观点看,它是绝佳的学习语言.其次,它设计和实现了一些特性,这些特性使得对编程基础知识的介绍变得简单. 但是还有第三个原因.Java展现了现代编程的许多特点.对Java的理解可以使你像专业程序员一样看待和思考编程工作.它是这个时代定义的语言之一. 计算机语言演进是一个正在进行的历史过程,而Java是其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7BJWz.html" rel="bookmark">《Java 7程序设计入门经典》一3&period;1　从键盘输入字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.1 从键盘输入字符 到目前为止,本书中的示例程序都向用户显示信息,但不从用户接收信息.于是,只使用了控制台输出,没有使用控制台输入(即键盘输入).主要原因在于,许多Java输入需要依赖和使用本书还未讲到的特性.这些特性在后面才会提及.另外,在真实情况下,许多Java程序和applet是图形界面或是窗口界面的,而不是控制台的.因此,本书的例子很少使用控制台输入.但是,有一种控制台输入相对容易使用,那就是从键盘读入字符.因为本章有许多需要用到这个特性的例子,所以在这里讨论它们. 我们将用Syst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwyo4M.html" rel="bookmark">《Java 7程序设计入门经典》一3&period;17　习题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.17 习题 1.写一个程序,从键盘读入字符,直到接收到一个英文句号(.).程序需要计算输入的空格的个数.在程序结束时输出总结果. 2.请写出if-else-if梯队的一般形式. 3.针对下列程序 其中最后的else子句与哪个if配对? 4.写一个for循环语句,从1000计数到0,步进值为-2. 5.下面的代码片段是否有效? 6.请解释break语句的用途(包括其两种形式.) 7.在下面的代码片段中,break语句执行后会显示什么? 8.下面程序片段的输出是什么? 9.for循环中的迭代表达			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq2oxb.html" rel="bookmark">《Java 7程序设计入门经典》一2&period;15　表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.15 表达式 运算符.变量和字面量都是表达式(expression)的组成部分.当在程序中遇到表达式时,会计算该表达式.因为它在前面的程序中已经用过,所以读者可能对表达式已有相当的直观理解.另外,Java的表达式也与代数中的表达式类似.但是,现在还是要讨论表达式的一些方面. 2.15.1 表达式中的类型转换 在表达式中,可能将两种或多种不同类型但互相兼容的数据混合.例如,因为short类型和long类型都是数值类型,所以在表达式中将它们混合使用.当一个表达式中混合不同种类的数据,它们会转换为			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAkKvz.html" rel="bookmark" class="title">超链接点击一次就失效不能再点击</a>
					<div>
						如何让超链接点击一次就不能再点呢? Html代码   &lt;a href=&quot;&lt;%=path%&gt;/orders/export&quot; class=&quot;daoc&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR4gdz.html" rel="bookmark" class="title">朗讯科技垃圾短信过滤与拦截解决方案</a>
					<div>
						保护用户权益,降低设施投资,缓解网络堵塞 朗讯科技(中国)有限公司日前隆重推出基于贝尔实验室创新技术的垃圾短信过滤和拦截(ASA)解决方案,旨在帮助国内电信运营商有效面对日益泛滥的垃圾短信带来的困扰, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz492Jb.html" rel="bookmark" class="title">盛大文学呼吁搜索引擎屏蔽盗链 各公司称愿配合</a>
					<div>
						盛大文学CEO侯小强.本报制图何将 旗下百名作者联合声明要求搜索引擎屏蔽盗链 昨天,盛大文学(微博)旗下百位作者就搜索引擎存在大量盗链的现象发布联合声明.声明中呼吁百度.360.搜狗.搜搜等搜索引擎正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlqRnp.html" rel="bookmark" class="title">博弈还是共生：站长与搜索引擎的那些事儿</a>
					<div>
						常常见到站长,特别是新站长在面对搜索引擎对网站快照.排名.收录等优化数据进行调整时的紧张和担忧,在这种情绪之外更多的便是不断试图寻找如何可以快速&quot;征服&quot;搜索引擎,让网站的优化达到更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK2EZz.html" rel="bookmark" class="title">Word入门教程</a>
					<div>
						Word入门动画教程1:新建Word文档 Word入门动画教程2:打开文档 Word入门动画教程3:以只读方式打开文档 Word入门动画教程4:管理最近使用文档列表 Word入门动画教程5:制作稿纸  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4we0Pp.html" rel="bookmark" class="title">黑客高手进阶之Unix系统安全构架经验</a>
					<div>
						首先大家可以通过下面的系统命令和配置文件来跟踪入侵者的来源路径: 1.who------(查看谁登陆到系统中.) 2.w--------(查看谁登陆到系统中,且在做什么.) 3.last-----(显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7xy8M.html" rel="bookmark" class="title">Photoshop制作大气的暗灰色金属质感文字</a>
					<div>
						  Photoshop制作大气的暗灰色金属质感文字.效果字金属质感部分由几个图层构成,分别为边缘的高光,中间高光,中间渐变,几个图层叠加后得到层次更为丰富,质感更为细腻的金属字效果. 最终效果 1.新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjXW3p.html" rel="bookmark" class="title">9158虚拟视频怎样使用语音设置</a>
					<div>
						  语音设置是帮助用户调节音频的功能板块. 打开语音设置的按钮在主界面如图所示的位置 打开后的界面如图 上面区块是音频设置方面的选项 声音输入正确时对麦克风讲话应该可以看到麦克风音量槽有变化,如图红框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGmNjp.html" rel="bookmark" class="title">javascript中interval与setTimeOut的区别示例介绍</a>
					<div>
						 这篇文章主要介绍了javascript中interval与setTimeOut的区别,需要的朋友可以参考下 setTimeout(code,millisec) //- 在指定时间后执行代码    c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze71dOM.html" rel="bookmark" class="title">影响了显卡的画质因素有那些</a>
					<div>
						  首先,显卡的PCB基板的质量以及PCB的层数在很大程度上决定了显卡画质的好坏.从理论上来说,PCB的基板层数越多,其电气信号的相互干扰情况就越少,因此也就能让最终输出的显卡视频信号更纯净.举例来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2Qjb.html" rel="bookmark" class="title">JEITA公布的统计数据显示</a>
					<div>
						日系手机厂于日本国内的手机出货量(功能手机+智能手机.不含PHS)较2013年同月下滑10.0% 至218.5 万,连续第2 个月呈现下滑.惟月出货量6 个月来首度突破200 万支关卡.其中,6 月份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NLW7z.html" rel="bookmark" class="title">国内首家WCDMA3G体验馆在京亮相</a>
					<div>
						国内首家WCDMA 3G体验馆在京亮相 昨日,中国联通在其总部开设了国内首家WCDMA 3G交互式体验馆. WCDMA是当前世界上采用的国家地区最广泛.终端种类最丰富的一种3G标准.已有254个WCD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrg80M.html" rel="bookmark" class="title">sql server2012为什么插入数据和表格数据不一样</a>
					<div>
						问题描述 sql server2012为什么插入数据和表格数据不一样 insert into employee (emp_no,emp_name,sex,dept,title,date_hired,s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWaYLp.html" rel="bookmark" class="title">Mozilla 早期是如何打破垄断市场的？</a>
					<div>
						John Lilly 2005年加入 Mozilla.当时是刚上线3个月,他初期观察时整个团队看起来很疲惫.第一次大家告诉他所有面临问题,John写了个PPT但没有任何反馈.后来就又 交流一次,这次是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zeRnm9b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMDkxNzExMTc5NTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2V0ZOR05UQTNNVGM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zeRnm9b.html" rel="bookmark" class="title">栈的定义以及基本运算</a>
					<div>
						栈和队列实质上是俩种受限制的线性表 一 栈的定义: 栈(Stack)是限制仅在表的一端进行插入和删除运算的线性表. (1)通常称插入.删除的这一端为栈顶(Top),另一端称为栈底(Bottom). ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRPANb.html" rel="bookmark" class="title">js拾遗：appendChild 添加移动节点</a>
					<div>
						原文:js拾遗:appendChild 添加移动节点 写js一年多了,一直以为自己很牛逼,开始写各种博文分享,昨天写了一篇&lt;浅谈 IE下innerHTML导致的问题&gt;在看了下面的评论,我才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRdljb.html" rel="bookmark" class="title">我的MacBook http服务</a>
					<div>
						我的MacBook http服务 (1)nginx nginx home目录: /usr/local/Cellar/nginx/1.8.1   配置文件路径: /usr/local/etc/nginx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk858M.html" rel="bookmark" class="title">如何充分发挥物联网的全部潜在优势</a>
					<div>
						随着时间的发展,物联网概念所涉及的东西越来越多.除了内置有内部传感器和处理器外,这些东西还直接与网络相连,在线传输它们的数据.虽然家庭自动化可能是这一概念的&quot;主要&quot;用武之地,例如冰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgowaM.html" rel="bookmark" class="title">sap data service安装方法</a>
					<div>
						sap dataservice安装方法其实很容易,相关文档也可以参考官网的安装文档资料,但网站实在太慢,我是完全接受不了的  网速快的同学可以睇一睇:https://help.sap.com/view ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6DEqM.html" rel="bookmark" class="title">propertychange和oninput事件笔记</a>
					<div>
						还好有propertychange(IE)和oninput事件. oninput是标准浏览器的事件,一般应用于input元素,当input的value发生变化时就会发生,无论是键盘输入还是鼠标粘贴的改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5EwZz.html" rel="bookmark" class="title">Js数组的操作push&comma;pop&comma;shift&comma;unshift等方法详细介绍&lowbar;javascript技巧</a>
					<div>
						js中针对数组操作的方法还是比较多的,今天突然想到来总结一下,也算是温故而知新吧.不过不会针对每个方法进行讲解,我只是选择其中的一些来讲. 首先来讲一下push和pop方法,这两个方法只会对数组从尾部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8rlkb.html" rel="bookmark" class="title">经典Page翻页分页css代码</a>
					<div>
						自己做网站风格的朋友都会自定义分页css教程样式,让分页样式和网页风格更加搭配.     整理了24款较经典的page翻页分页css代码,方便大家做分页样式用.                     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44KO8z.html" rel="bookmark" class="title">B2B电商未来必将超越B2C</a>
					<div>
						根据中国国家统计局对外公布的数据,中国220多种工业品产量居世界第一位,制造业净出口居世界第一位,制造业仅增加值就在世界占比达到20.8%. 联合国工业发展组织资料也进一步证实这个事实,目前中国工业制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEqGmp.html" rel="bookmark" class="title">extjs怎样将表单提交数据不经过后台直接放入gridpanel？</a>
					<div>
						问题描述 extjs怎样将表单提交数据不经过后台直接放入gridpanel? extjs怎样将表单提交数据无需后台处理,直接放入当前页面的gridpanel里 解决方案 更新grid的store就行了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qaeap.html" rel="bookmark" class="title">webview在coolpad 手机上开始能进入  次数多了直接不调用onPageStarted方法</a>
					<div>
						问题描述 webview在coolpad 手机上开始能进入 次数多了直接不调用onPageStarted方法 webView.loadUrl(MyApplication.getShop().getPr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0JG9p.html" rel="bookmark" class="title">请问谁有北大青鸟ACCP电子书 &period;net方向的电子书</a>
					<div>
						问题描述 最近想学.net了,现在刚从html学起.但是又不知道什么样的书籍好,听说北大青鸟的书蛮不错,虽然教学坑钱的,谁有的可否分享下呢?万分感谢额!!!如果您有您觉得不错的书籍也可以推荐,谢谢了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqKJvp.html" rel="bookmark" class="title">高级 OpenGL 纹理贴图  Advanced OpenGL Texture Mapping</a>
					<div>
						转自:http://www.flipcode.com/archives/Advanced_OpenGL_Texture_Mapping.shtml Advanced OpenGL Texture Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA0NVp.html" rel="bookmark" class="title">第四届中国网商大会 马云 45分钟演讲</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 9月15日,阿里巴巴集团在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myv5KEp.html" rel="bookmark" class="title">小数据战略 决胜大数据时代</a>
					<div>
						曾听美国同事讲过一个事情:http://www.aliyun.com/zixun/aggregation/6277.html&quot;&gt;广告公司的某位客户恰巧是海军陆战队上校,他们在讨论数据可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNvrKb.html" rel="bookmark" class="title">有个 Visual Studio 问题想请教大家</a>
					<div>
						问题描述 C#入门经典(第三版)列出和配置异常章节,提到英文版中Debug|Exceptions菜单选项,在中文版中为何找不到这个选项 解决方案 解决方案二:你右击你的工程,选属性就有一个Debug解 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
